<?php
            // 10 optimistische Sprüche - sgs-visual.de 2024
            // PHP-Script ideal für das WebsiteX5 Inklusiv-Objekt "</>HTML-Code"
            // Die Fontgröße passt sich automatisch an Endgeräte an.
?>

 <html lang="de">
     <head>
               <title>Optimistische Sprüche</title>
               <meta name="author" content="S.G.Schiffer">
               <meta name="publisher" content="sgs-visual.de">
               <meta name="description" content="Optimistische Sprüche">
               <meta name="keywords" content="optimistisch sprüche, zufällig">
               <meta name="robots" content="index, follow">
               <meta name="viewport" content="width=device-width, initial-scale=1">
     </head>
  <body>

   <style type="text/css">

     .begruessung {
     font-family:Arial, Roboto, sans-serif;
     font-size: calc(12px + (16 - 12) * ((100vw - 320px) / (1400 - 320)));
     font-weight: normal; /* bold */
     color: #000000;
     line-height:120%;
     }

     .spruch {
     font-family:Arial, Roboto, sans-serif;
     font-size: calc(14px + (22 - 14) * ((100vw - 320px) / (1400 - 320)));
     font-style: italic; /* normal , oblique 10deg */
     font-weight: normal; /* bold */
     letter-spacing: 0.01em; /* Buchstaben Abstand */
     overflow: auto;
     color: #000000;
     line-height:120%;
     }

     .quelle {
     font-family:Arial, Roboto, sans-serif;
     font-size: calc(8px + (12 - 8) * ((100vw - 320px) / (1400 - 320)));
     font-style: normal; /* italic , oblique 10deg */
     color: #000000;
     line-height:160%;
     }

   .nachwort {
     font-family:Arial, Roboto, sans-serif;
     font-size: calc(12px + (16 - 12) * ((100vw - 320px) / (1400 - 320)));
     color: #000000;
     line-height:120%;
     }

   </style>

<?php

   $spruch[]="Das Glück deines Lebens hängt von der Beschaffenheit deiner Gedanken ab.<br>
   <xtra class='quelle'>&emsp; (Marc Aurel)</xtra>";

   $spruch[]="Versuchen wir uns doch einmal entschieden auf die Seite des Positiven zu stellen, in jeder Sache.<br>
   <xtra class='quelle'>&emsp; (Christian Morgenstern)</xtra>";

   $spruch[]="Gib jedem Tag die Chance, der schönste deines Lebens zu werden.<br>
   <xtra class='quelle'>&emsp; (Mark Twain)</xtra>";

   $spruch[]="Jeder Mensch hat die Chance, mindestens einen Teil der Welt zu verbessern, nämlich sich selbst.<br>
   <xtra class='quelle'>&emsp; (Paul de Lagarde)</xtra>";

   $spruch[]="Misserfolg ist lediglich eine Gelegenheit, mit neuen Ansichten noch einmal anzufangen.<br>
   <xtra class='quelle'>&emsp; (Henry Ford)</xtra>";

   $spruch[]="Lachen und Lächeln sind Tor und Pforte, durch die viel Gutes in den Mensch hineinhuschen kann.<br>
   <xtra class='quelle'>&emsp; (Christian Morgenstern)</xtra>";

   $spruch[]="Vollständige Sorglosigkeit und eine unerschütterliche Zuversicht sind das Wesentliche eines glücklichen Lebens.<br>
   <xtra class='quelle'>&emsp; (Thomas von Aquin)</xtra>";

   $spruch[]="Dein Auge kann die Welt trüb oder hell dir machen: Wie du sie ansiehst, wird sie weinen oder lachen.<br>
   <xtra class='quelle'>&emsp; (Friedrich Rückert)</xtra>";

   $spruch[]="Auch aus Steinen, die einem in den Weg gelegt werden, kann man Schönes bauen.<br>
   <xtra class='quelle'>&emsp; (Johann Wolfgang von Goethe)</xtra>";

   $spruch[]="Die größten Menschen sind jene, die anderen Hoffnung geben können.<br>
   <xtra class='quelle'>&emsp; (Jean Jaurès)</xtra>";

// ++++++++++ Spruch zufällig wählen ++++++++


   mt_srand((double)microtime()*1000000);
   $zufall=mt_rand('0' ,count($spruch)-1);
   $spruchausgabe=$spruch[$zufall];

// ++++++++++ Begrüßung ++++++++

   $beggruessung[0]="Sie sind noch wach?";
   $beggruessung[1]="Guten Morgen.";
   $beggruessung[2]="Schön, dass Sie da sind.";
   $beggruessung[3]="Schön, dass Sie noch vorbei schauen.";
   $beggruessung[4]="Sie sind immer noch nicht müde?";

// ++++++++++ Nachwort ++++++++

   $beggruessung[5]="Ich wünsche Ihnen einen schönen Tag.";
   $beggruessung[6]="Ich wünsche Ihnen einen schönen Tag.";
   $beggruessung[7]="Ich wünsche Ihnen einen schönen Abend.";
   $beggruessung[8]="Ich wünsche Ihnen eine gute Nacht.";

//  ++++++++++ Zeitphase bestimmen ++++++++++

   if(date("A")>=1 AND date("H")<6)
     {$beg=$beggruessung[0];$begend=$beggruessung[8];}

   elseif(date("A")>=6 AND date("H")<8)
     {$beg=$beggruessung[1];$begend=$beggruessung[6];}

   elseif(date("A")>=8 AND date("H")<18)
     {$beg=$beggruessung[2];$begend=$beggruessung[6];}

   elseif(date("H")>=18 AND date("H")<22)
     {$beg=$beggruessung[3];$begend=$beggruessung[7];}

   else
     {$beg=$beggruessung[4];$begend=$beggruessung[8];}

//  +++++++++++  Ausgabe  +++++++++++

   echo "<p class='begruessung'>$beg</p>";

   echo "<p class='spruch'>$spruchausgabe</p>";

   echo "<p class='nachwort'>$begend</p>";

?>

  </body>
  </html>